package com.djhk.common.api.factory;

import com.djhk.common.api.RemoteDeptService;
import com.djhk.common.core.domain.R;
import com.djhk.common.api.domain.SysFile;
import com.djhk.common.core.domain.entity.SysDept;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description 部门服务降级处理
 * @author jiachengshuai
 * @date 2022/9/1 13:30:18
 * @version 1.0
 */
@Component
public class RemoteDeptFallbackFactory implements RemoteDeptService
{

    @Override
    public R<List<SysDept>> addDept(SysDept dept) {
        return null;
    }

    @Override
    public R<SysDept> getDeptInfo(Long deptId, String source) {
        return null;
    }

    @Override
    public R<Long> addFile(SysFile file) {
        return null;
    }

    @Override
    public R<SysFile> getFileInfo(Long id) {
        return null;
    }

    @Override
    public R<List<SysFile>> getFileList(Long[] ids) {
        return null;
    }

    @Override
    public R<List<SysFile>> selectFileList(SysFile sysFile) {
        return null;
    }

    @Override
    public R<List<Object>> selectDeptTreeList(SysDept sysDept, String source) {
        return null;
    }

    @Override
    public R<List<SysDept>> getDeptList(String source) {
        return null;
    }
}
